package cache

import (
	"fmt"
	"hongze/hongtao3_watch/global"
	"hongze/hongtao3_watch/utils"
)

// record more information
func IndexAutoRefresh(filePath string) bool {
	if global.Re == nil {
		if global.Rc != nil {
			if global.Rc.SetNX(filePath, filePath, utils.GetTodayLastSecond()) {
				err := global.Rc.LPush(utils.REFRESH_INDEX, filePath)
				if err != nil {
					fmt.Println("RecordNewLogs LPush Err:" + err.Error())
				}
				return true
			}
		}
		return true
	}
	return false
}

// AddIndexHandleExcel 添加处理excel变更队列
func AddIndexHandleExcel(filePath string) bool {
	if global.Re == nil {
		if global.Rc != nil {
			err := global.Rc.LPush(utils.HANDLE_HONGTAO_EXCEL, filePath)
			if err != nil {
				fmt.Println("Add Index Handle Excel LPush Err:" + err.Error())
			}
			return true
		}
		return true
	}
	return false
}

// AddIndexRefreshExcel 添加刷新excel队列
func AddIndexRefreshExcel(filePath string) bool {
	if global.Re == nil {
		if global.Rc != nil {
			err := global.Rc.LPush(utils.REFRESH_HONGTAO_EXCEL, filePath)
			if err != nil {
				fmt.Println("Add Index Reresh Excel LPush Err:" + err.Error())
			}
			return true
		}
		return true
	}
	return false
}
